<template>
  <div class="box p-3 md:p-10">
    <div class="md:flex justify-between">
      <div class="text-xl italic text-gray-500 font-bold">
        {{ formTemplate.name }}
      </div>
    </div>

    <div class="mt-10 text-lg space-y-5">
      <div v-for="ff in ffs">
        <div>
          <label v-if="ff.field.type === 'Title'" class="text-gray-600 text-base font-bold italic">
            {{ ff.field.name }}
          </label>
          <label v-else-if="ff.field.type === 'Description'" class="text-gray-500 text-base">
            {{ ff.field.name }}
          </label>
          <div v-else>
            {{ ff.field.index + 1 - ffs.slice(0, ff.field.index).filter((ff) => ff.field.type === 'Title' || ff.field.type === 'Description').length }}. {{ ff.field.name }}
            <span v-if="ff.field.required" class="text-lg text-orange-500">*</span>
          </div>
        </div>
        <fieldset class="mb-1" disabled>
          <input class="w-full input-disabled" type="text" v-if="ff.field.type === 'Text'" />
          <input class="w-full input-disabled" type="number" v-else-if="ff.field.type === 'Number'" />
          <input class="w-full input-disabled" type="date" v-else-if="ff.field.type === 'Date'" />
          <div v-else-if="ff.field.type === 'File'">
            <Icon icon="fa-solid fa-file" class="mr-2">
            </Icon>
            <span class="text-base">File</span>
          </div>
          <textarea class="w-full textarea-disabled" v-else-if="ff.field.type === 'Text Area'" />
          <div v-else-if="ff.field.type === 'Checkbox'">
            <fieldset v-for="option in ff.field.options">
              <input type="checkbox" class="checkbox-disabled" disabled>
              <label class="text-sm ms-2">{{ option.value }}</label>
            </fieldset>
          </div>
          <div v-else-if="ff.field.type === 'Radio Button'">
            <fieldset v-for="option in ff.field.options">
              <input type="radio" class="radio-disabled">
              <label class="text-sm ms-2">{{ option.value }}</label>
            </fieldset>
          </div>
          <select class="w-full input-disabled" v-else-if="ff.field.type === 'Dropdown'">
            <option v-for="option in ff.field.options">
              {{ option.value }}
            </option>
          </select>
        </fieldset>
      </div>
    </div>
  </div>
</template>

<script setup>
import { computed } from 'vue';

const props = defineProps({
  formTemplate: Object
})

const ffs = computed(() => props.formTemplate.form_fields.sort((ffA, ffB) => ffA.field.index - ffB.field.index))
</script>